java.beans

## Interface VetoableChangeListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    BeanContextServicesSupport, BeanContextSupport, VetoableChangeListenerProxy

      public interface VetoableChangeListener
      extends EventListener

  A VetoableChange event gets fired whenever a bean changes a "constrained" property. You can register a VetoableChangeListener with a source bean so as to be notified of any constrained property updates.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `vetoableChange(PropertyChangeEvent evt)` This method gets called when a constrained property is changed.

- - ### Method Detail

    - #### vetoableChange

          void vetoableChange(PropertyChangeEvent evt)
                              throws PropertyVetoException

      This method gets called when a constrained property is changed.
      Parameters:
        `evt` - a `PropertyChangeEvent` object describing the event source and the property that has changed.
      Throws:
        `PropertyVetoException` - if the recipient wishes the property change to be rolled back.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.